Subject: bug#6491: 24.0.50; list-buffers should not throw away marks

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Fri, 18 Oct 2019 11:11:35 +0800

>>>>> "LI" == Lars Ingebrigtsen <[email-masked]> writes:
LI> "Drew Adams" <[email-masked]> writes:

>>> I think it may be logical for the marks to go away if you re-list the
>>> buffers, but I'm not sure.  Does anybody have an opinion on this?
>> 
>> Relisting (e.g. `g') does erase all marks in *Buffer List*.
>> 
>> I'm not sure it should, however.  Seems to me that Dired should perhaps be the
>> model here, and `g' does *not* erase marks in Dired.

LI> I've now made this change in Emacs 27.

LI> As for `v' removing the marks -- it's done that since forever, as far as
LI> I can see, and it's done on purpose, so I think making it stop doing
LI> that might be a behavioural change that won't be welcome.

LI> But I don't know -- does anybody have an opinion?  It's trivial to fix.

Docstring ""v runs the command Buffer-menu-select (found in Buffer-menu-mode-map),""
doesn't even mention it throws away the marks.